import { Position } from "../../types/utils";
import type { EdgeI } from "../../types";
export interface GetSmoothStepPathParams {
    sourceX: number;
    sourceY: number;
    sourcePosition?: Position;
    targetX: number;
    targetY: number;
    targetPosition: Position;
    borderRadius?: number;
    centerX?: number;
    centerY?: number;
}
interface SimpleBezierProps {
    edge: EdgeI;
    borderRadius?: number;
}
export default function SmoothStepEdge(props: SimpleBezierProps): import("solid-js").JSX.Element;
export {};
