import { isServer as te, createComponent as v, insert as B, effect as R, style as E, setAttribute as M, template as N, use as ce, spread as we, mergeProps as ae, delegateEvents as ye, memo as Se } from "solid-js/web";
import { createContext as le, createComponent as Pe, useContext as he, onCleanup as z, createRoot as Ee, createMemo as I, createSignal as H, onMount as V, createRenderEffect as ke, Show as Q, Switch as ge, Match as A, For as G } from "solid-js";
import { createStore as Ce, produce as q } from "solid-js/store";
var ue = le(), ne = "s:id", Le = "s\\:id", F = /* @__PURE__ */ new Set(), D = /* @__PURE__ */ new Map();
te || document.head.querySelectorAll(`style[${Le}]`).forEach((e) => {
  F.add(e.getAttribute(ne));
});
function ve(e, t) {
  var n;
  if (!F.has(e) && (F.add(e), !te)) {
    let i = document.createElement("style");
    i.setAttribute(ne, e), i.innerHTML = t, document.head.appendChild(i);
  }
  D.set(e, ((n = D.get(e)) != null ? n : 0) + 1);
}
function fe(e) {
  var t;
  let n = (t = D.get(e)) != null ? t : 0;
  if (n > 1)
    D.set(e, n - 1);
  else {
    D.set(e, 0);
    let i = document.head.querySelector(`style[${ne}="${e}"]`);
    i && document.head.removeChild(i), F.delete(e);
  }
}
function Me(e) {
  let t = /* @__PURE__ */ new Set();
  function n(i, o) {
    var s;
    t.has(i) || (t.add(i), te && ((s = e.styles) == null || s.push({ id: i, sheet: o }))), ve(i, o);
  }
  return Pe(ue.Provider, { value: { insert: n, remove: fe }, get children() {
    return e.children;
  } });
}
function T(e, t) {
  var n;
  let i = (n = he(ue)) != null ? n : { insert: ve, remove: fe };
  i.insert(e, t), z(() => i.remove(e));
}
function Ne(e) {
  let t, n;
  return z(() => n == null ? void 0 : n()), () => (t || (t = Ee((i) => (n = i, I(e)))), t());
}
function O() {
  let e = [], t = Ne(() => {
    let n = {};
    for (let i = 0, o = e.length; i < o; i += 1)
      n = Object.assign(n, e[i]());
    return n;
  });
  return (n) => {
    if (n) {
      e.push(n);
      return;
    }
    return t();
  };
}
function oe(e) {
  let t = "";
  for (let n of Object.keys(e))
    t = `${t}${n}:${String(e[n])};`;
  return t;
}
function se(e, t) {
  let n = oe(t);
  return e ? `${typeof e == "string" ? e : oe(e)};${n}` : n;
}
let f;
(function(e) {
  e.Left = "left", e.Right = "right", e.Top = "top", e.Bottom = "bottom";
})(f || (f = {}));
const be = le(), pe = (e) => {
  var C;
  let t = {};
  for (let k = 0; k < e.nodes.length; k++) {
    const L = ((C = e.nodes[k]) == null ? void 0 : C.type) || "default";
    t[e.nodes[k].id] = {
      width: L === "dot" ? 11 : L === "backdrop" ? 220 : 160,
      height: L === "dot" ? 11 : L === "note" ? 80 : L === "backdrop" ? 110 : 40,
      label: "",
      type: "default",
      inputPosition: f.Top,
      outputPosition: f.Bottom,
      inputHandle: !0,
      outputHandle: !0,
      ...e.nodes[k],
      get input() {
        let m, g;
        switch (this.inputPosition) {
          case f.Bottom: {
            m = this.position.x + this.width / 2, g = this.position.y + this.height;
            break;
          }
          case f.Right: {
            m = this.position.x + this.width, g = this.position.y + this.height / 2;
            break;
          }
          case f.Left: {
            m = this.position.x, g = this.position.y + this.height / 2;
            break;
          }
          default:
            m = this.position.x + this.width / 2, g = this.position.y;
        }
        return this.inputHandle || (m = this.position.x + this.width / 2, g = this.position.y + this.height / 2), {
          x: m,
          y: g
        };
      },
      get output() {
        let m, g;
        switch (this.outputPosition) {
          case f.Top: {
            m = this.position.x + this.width / 2, g = this.position.y;
            break;
          }
          case f.Right: {
            m = this.position.x + this.width, g = this.position.y + this.height / 2;
            break;
          }
          case f.Left: {
            m = this.position.x, g = this.position.y + this.height / 2;
            break;
          }
          default:
            m = this.position.x + this.width / 2, g = this.position.y + this.height;
        }
        return this.outputHandle || (m = this.position.x + this.width / 2, g = this.position.y + this.height / 2), {
          x: m,
          y: g
        };
      }
    };
  }
  const [n, i] = Ce({
    nodes: t,
    edges: e.edges
  }), [o, s] = H(e.width || "800px"), [d, r] = H(e.height || "800px"), [u, a] = H(e.background || "#f7f9fb"), [l, S] = H([]), [_, x] = H(!1), [w, h] = H(1), [b, y] = H([0, 0]), c = {
    store: n,
    setStore: i,
    updatePosition: (k, L, m) => {
      i(q((g) => {
        for (let j = 0; j < m.length; j++)
          g.nodes[m[j]].position.x += k / w(), g.nodes[m[j]].position.y += L / w();
      }));
    },
    drag: (k, L, m) => {
      i(q((g) => {
        g.nodes[m].width += k, g.nodes[m].height += L;
      }));
    },
    isDragging: _,
    setDragging: x,
    width: o,
    setWidth: s,
    height: d,
    setHeight: r,
    canvasbg: u,
    setCanvasbg: a,
    selected: l,
    setSelected: S,
    scale: w,
    setScale: h,
    transition: b,
    setTransition: y
  };
  return v(be.Provider, {
    value: c,
    get children() {
      return e.children;
    }
  });
}, p = () => he(be);
function Re(e) {
  let t = null;
  t || requestAnimationFrame(() => {
    const n = t;
    t = null, n && n();
  }), t = e;
}
const Be = "c-2c2ef85a-0", He = "g[s\\:c-2c2ef85a-0]{offset-path:path(var(--s-v-2c2ef85a-1));offset-distance:var(--s-v-2c2ef85a-2);offset-rotate:90deg;transform:translate(calc(var(--s-v-2c2ef85a-3)*-1px),calc(var(--s-v-2c2ef85a-4)*1px)) rotate(-90deg)}", Te = /* @__PURE__ */ N('<svg><g s:c-2c2ef85a-0><rect fill-opacity="0.96" shape-rendering="optimizeSpeed" s:c-2c2ef85a-0></rect><text dx="7px" dy="0.6em" text-rendering="optimizeSpeed" font-size="11px" dominant-baseline="central" s:c-2c2ef85a-0></text></g></svg>', 8, !0);
function Oe(e) {
  const t = O();
  let n;
  const [i, o] = H({
    width: 0,
    height: 0
  }), {
    canvasbg: s
  } = p();
  return V(() => {
    if (n) {
      const d = n.getBBox();
      o({
        width: Math.round(d.width),
        height: Math.round(d.height)
      });
    }
  }), T(Be + "-1", He), t(() => ({
    "--s-v-2c2ef85a-1": `"${e.path}"`,
    "--s-v-2c2ef85a-2": e.endHandle ? "50%" : "44%",
    "--s-v-2c2ef85a-3": (i().height / 2).toString(),
    "--s-v-2c2ef85a-4": (i().width / 2).toString()
  })), (() => {
    const d = Te.cloneNode(!0), r = d.firstChild, u = r.nextSibling, a = n;
    return typeof a == "function" ? ce(a, u) : n = u, B(u, () => e.label), R((l) => {
      const S = t(), _ = s() || "#f7f9fb", x = i().width + 12, w = i().height + 1, h = se(`${Object.entries(e.bgStyle || {}).map(([$, P]) => ($ = $.replace(/[A-Z]/g, (c) => `-${c.toLowerCase()}`), `${$}:${P}`)).join(";")}`, t()), b = e.style ? "1" : "0.8", y = se(`fill:black; ${Object.entries(e.style || {}).map(([$, P]) => ($ = $.replace(/[A-Z]/g, (c) => `-${c.toLowerCase()}`), `${$}:${P}`)).join(";")}`, t());
      return l._v$ = E(d, S, l._v$), _ !== l._v$2 && M(r, "fill", l._v$2 = _), x !== l._v$3 && M(r, "width", l._v$3 = x), w !== l._v$4 && M(r, "height", l._v$4 = w), l._v$5 = E(r, h, l._v$5), b !== l._v$6 && M(u, "fill-opacity", l._v$6 = b), l._v$7 = E(u, y, l._v$7), l;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0,
      _v$5: void 0,
      _v$6: void 0,
      _v$7: void 0
    }), d;
  })();
}
const Ie = "c-f96ecbe6-0", je = ".animated[s\\:c-f96ecbe6-0]{animation:dash 0.5s linear infinite;stroke-dasharray:10}.arrow[s\\:c-f96ecbe6-0]{transform:translateY(4px) rotate(-90deg);offset-path:path(var(--s-v-f96ecbe6-1));offset-distance:var(--s-v-f96ecbe6-2)}", Ae = /* @__PURE__ */ N('<svg><path fill="transparent" stroke="#636363" stroke-linecap="round" stroke-width="1.2" aria-label="svg-path"></path></svg>', 4, !0), De = /* @__PURE__ */ N('<svg><polygon class="arrow" points="4 10, 8 0, 0 0" fill="#636363" s:c-f96ecbe6-0></polygon></svg>', 4, !0);
function ie(e) {
  const t = O();
  let n = "calc(100% - 12px)";
  return e.baseEdgeProps.targetNode.inputHandle || ke(() => {
    const i = e.baseEdgeProps.targetNode.input.x - e.baseEdgeProps.sourceNode.output.x, o = e.baseEdgeProps.targetNode.input.y - e.baseEdgeProps.sourceNode.output.y;
    let s = 0;
    const d = Math.atan2(e.baseEdgeProps.targetNode.height, e.baseEdgeProps.targetNode.width) * 180 / Math.PI, r = Math.atan2(o, i);
    let u = r * 180 / Math.PI > 0 ? r * 180 / Math.PI : r * 180 / Math.PI + 360;
    if (u > d && u < 180 - d || u > 180 + d && u < 360 - d) {
      const a = e.baseEdgeProps.targetNode.height / (2 * Math.tan(u / 180 * Math.PI)), l = e.baseEdgeProps.targetNode.height / 2;
      s = Math.sqrt(a * a + l * l);
    } else {
      const a = e.baseEdgeProps.targetNode.width / 2, l = e.baseEdgeProps.targetNode.width / 2 * -Math.tan(u / 180 * Math.PI);
      s = Math.sqrt(a * a + l * l);
    }
    n = `calc(100% - ${s + 9}px)`;
  }), T(Ie + "-1", je), t(() => ({
    "--s-v-f96ecbe6-1": `"${e.baseEdgeProps.path}"`,
    "--s-v-f96ecbe6-2": n
  })), [(() => {
    const i = Ae.cloneNode(!0);
    return we(i, ae({
      get class() {
        return e.baseEdgeProps.animated ? "animated" : "";
      },
      get d() {
        return e.baseEdgeProps.path;
      }
    }, () => e.baseEdgeProps.style, {
      "s:c-f96ecbe6-0": "",
      get style() {
        return t();
      }
    }), !0, !1), i;
  })(), v(Q, {
    get when() {
      return e.baseEdgeProps.arrow;
    },
    get children() {
      const i = De.cloneNode(!0);
      return R((o) => E(i, t(), o)), i;
    }
  }), v(Q, {
    get when() {
      return e.baseEdgeProps.label;
    },
    get children() {
      return v(Oe, {
        get label() {
          return e.baseEdgeProps.label;
        },
        get style() {
          return e.baseEdgeProps.labelStyle;
        },
        get bgStyle() {
          return e.baseEdgeProps.labelBgStyle;
        },
        get path() {
          return e.baseEdgeProps.path;
        },
        get endHandle() {
          return e.baseEdgeProps.targetNode.inputHandle === !0;
        }
      });
    }
  })];
}
function de({
  pos: e,
  x1: t,
  y1: n,
  x2: i,
  y2: o
}) {
  let s, d;
  switch (e) {
    case f.Left:
    case f.Right: {
      s = 0.5 * (t + i), d = n;
      break;
    }
    case f.Top:
    case f.Bottom: {
      s = t, d = 0.5 * (n + o);
      break;
    }
  }
  return [s, d];
}
function ze({
  sourceX: e,
  sourceY: t,
  sourcePosition: n,
  targetX: i,
  targetY: o,
  targetPosition: s
}) {
  const [d, r] = de({
    pos: n,
    x1: e,
    y1: t,
    x2: i,
    y2: o
  }), [u, a] = de({
    pos: s,
    x1: i,
    y1: o,
    x2: e,
    y2: t
  });
  return `M${e},${t} C${d},${r} ${u},${a} ${i},${o}`;
}
function Qe(e) {
  const {
    store: t
  } = p(), n = I(() => {
    var S, _, x, w, h, b;
    const s = (S = t.nodes[e.edge.source]) == null ? void 0 : S.output.x, d = (_ = t.nodes[e.edge.source]) == null ? void 0 : _.output.y, r = (x = t.nodes[e.edge.source]) == null ? void 0 : x.outputPosition, u = (w = t.nodes[e.edge.target]) == null ? void 0 : w.input.x, a = (h = t.nodes[e.edge.target]) == null ? void 0 : h.input.y, l = (b = t.nodes[e.edge.target]) == null ? void 0 : b.inputPosition;
    return {
      sourceX: s,
      sourceY: d,
      sourcePosition: r,
      targetX: u,
      targetY: a,
      targetPosition: l
    };
  }), i = () => ze(n()), o = I(() => ({
    ...e.edge,
    path: i(),
    sourceNode: t.nodes[e.edge.source],
    targetNode: t.nodes[e.edge.target]
  }));
  return v(ie, {
    get baseEdgeProps() {
      return o();
    }
  });
}
function qe(e) {
  const {
    store: t
  } = p(), n = I(() => ({
    sourceX: t.nodes[e.edge.source].output.x,
    sourceY: t.nodes[e.edge.source].output.y,
    sourcePosition: t.nodes[e.edge.source].outputPosition,
    targetX: t.nodes[e.edge.target].input.x,
    targetY: t.nodes[e.edge.target].input.y,
    targetPosition: t.nodes[e.edge.target].inputPosition
  })), i = () => `M ${n().sourceX},${n().sourceY}L ${n().targetX},${n().targetY}`, o = I(() => ({
    ...e.edge,
    path: i(),
    sourceNode: t.nodes[e.edge.source],
    targetNode: t.nodes[e.edge.target]
  }));
  return v(ie, {
    get baseEdgeProps() {
      return o();
    }
  });
}
const re = ["left", "right"], Fe = ({
  sourceX: e,
  sourceY: t,
  targetX: n,
  targetY: i,
  sourcePosition: o = f.Bottom,
  targetPosition: s = f.Top
}) => {
  const d = re.includes(o), r = re.includes(s);
  if (d && !r || r && !d) {
    const x = d ? Math.abs(n - e) : 0, w = e > n ? e - x : e + x, h = d ? 0 : Math.abs(i - t), b = t < i ? t + h : t - h;
    return [w, b, x, h];
  }
  const a = Math.abs(n - e) / 2, l = n < e ? n + a : n - a, S = Math.abs(i - t) / 2, _ = i < t ? i + S : i - S;
  return [l, _, a, S];
}, W = (e, t, n) => `L ${e},${t - n}Q ${e},${t} ${e + n},${t}`, K = (e, t, n) => `L ${e + n},${t}Q ${e},${t} ${e},${t - n}`, Z = (e, t, n) => `L ${e},${t - n}Q ${e},${t} ${e - n},${t}`, J = (e, t, n) => `L ${e - n},${t}Q ${e},${t} ${e},${t - n}`, U = (e, t, n) => `L ${e + n},${t}Q ${e},${t} ${e},${t + n}`, X = (e, t, n) => `L ${e},${t + n}Q ${e},${t} ${e + n},${t}`, Y = (e, t, n) => `L ${e},${t + n}Q ${e},${t} ${e - n},${t}`, ee = (e, t, n) => `L ${e - n},${t}Q ${e},${t} ${e},${t + n}`;
function Ve({
  sourceX: e,
  sourceY: t,
  sourcePosition: n = f.Bottom,
  targetX: i,
  targetY: o,
  targetPosition: s = f.Top,
  borderRadius: d = 6,
  centerX: r,
  centerY: u
}) {
  const [a, l, S, _] = Fe({
    sourceX: e,
    sourceY: t,
    targetX: i,
    targetY: o
  }), x = Math.min(d, Math.abs(i - e)), w = Math.min(d, Math.abs(o - t)), h = Math.min(x, w, S, _), b = [f.Left, f.Right], y = typeof r < "u" ? r : a, $ = typeof u < "u" ? u : l;
  let P = null, c = null;
  return e <= i ? (P = t <= o ? W(e, $, h) : X(e, $, h), c = t <= o ? ee(i, $, h) : J(i, $, h)) : (P = t < o ? Z(e, $, h) : Y(e, $, h), c = t < o ? U(i, $, h) : K(i, $, h)), b.includes(n) && b.includes(s) ? e <= i ? (P = t <= o ? ee(y, t, h) : J(y, t, h), c = t <= o ? W(y, o, h) : X(y, o, h)) : (n === f.Right && s === f.Left || n === f.Left && s === f.Right || n === f.Left && s === f.Left) && (P = t <= o ? U(y, t, h) : K(y, t, h), c = t <= o ? Z(y, o, h) : Y(y, o, h)) : b.includes(n) && !b.includes(s) ? (e <= i ? P = t <= o ? ee(i, t, h) : J(i, t, h) : P = t <= o ? U(i, t, h) : K(i, t, h), c = "") : !b.includes(n) && b.includes(s) && (e <= i ? P = t <= o ? W(e, o, h) : X(e, o, h) : P = t <= o ? Z(e, o, h) : Y(e, o, h), c = ""), `M ${e},${t}${P}${c}L ${i},${o}`;
}
function $e(e) {
  const {
    store: t
  } = p(), n = I(() => ({
    sourceX: t.nodes[e.edge.source].output.x,
    sourceY: t.nodes[e.edge.source].output.y,
    sourcePosition: t.nodes[e.edge.source].outputPosition,
    targetX: t.nodes[e.edge.target].input.x,
    targetY: t.nodes[e.edge.target].input.y,
    targetPosition: t.nodes[e.edge.target].inputPosition,
    borderRadius: e.borderRadius
  })), i = () => Ve(n()), o = I(() => ({
    ...e.edge,
    path: i(),
    sourceNode: t.nodes[e.edge.source],
    targetNode: t.nodes[e.edge.target]
  }));
  return v(ie, {
    get baseEdgeProps() {
      return o();
    }
  });
}
const Ge = (e) => v($e, ae(e, {
  borderRadius: 0
})), We = (e) => v(ge, {
  get fallback() {
    return v(Qe, {
      get edge() {
        return e.edge;
      }
    });
  },
  get children() {
    return [v(A, {
      get when() {
        return e.edge.type === "straight";
      },
      get children() {
        return v(qe, {
          get edge() {
            return e.edge;
          }
        });
      }
    }), v(A, {
      get when() {
        return e.edge.type === "smoothStep";
      },
      get children() {
        return v($e, {
          get edge() {
            return e.edge;
          }
        });
      }
    }), v(A, {
      get when() {
        return e.edge.type === "step";
      },
      get children() {
        return v(Ge, {
          get edge() {
            return e.edge;
          }
        });
      }
    })];
  }
}), Ke = "c-8124b65f-0", Ze = "section[s\\:c-8124b65f-0]{position:absolute;transform:translate(calc(var(--s-v-8124b65f-1)*1px),calc(var(--s-v-8124b65f-2)*1px))}section[s\\:c-8124b65f-0]:hover{filter:drop-shadow(0 1px 2px rgb(0 0 0/0.1)) drop-shadow(0 1px 1px rgb(0 0 0/0.2));z-index:8}.selected[s\\:c-8124b65f-0]{filter:drop-shadow(0 1px 2px rgb(0 0 0/0.1)) drop-shadow(0 1px 1px rgb(0 0 0/0.2));z-index:9}div[s\\:c-8124b65f-0]{display:grid;padding:0.25rem;user-select:none;cursor:grab;justify-content:center;align-items:center;overscroll-behavior:auto;font-size:0.875rem;line-height:1.25rem;text-align:center;width:calc(var(--s-v-8124b65f-3)*1px);height:calc(var(--s-v-8124b65f-4)*1px);color:var(--s-v-8124b65f-5);background-color:var(--s-v-8124b65f-6);border-radius:calc(var(--s-v-8124b65f-7)*1px);border:2px solid var(--s-v-8124b65f-8)}.selected[s\\:c-8124b65f-0]>div[s\\:c-8124b65f-0]{border:2px solid #446b9e}span[s\\:c-8124b65f-0]{position:absolute;width:8px;height:8px;background-color:#111;border:1px solid white;border-radius:50%;opacity:0.8}.input[s\\:c-8124b65f-0]{top:calc(var(--s-v-8124b65f-9)*1px);left:calc(var(--s-v-8124b65f-10)*1px)}.output[s\\:c-8124b65f-0]{top:calc(var(--s-v-8124b65f-11)*1px);left:calc(var(--s-v-8124b65f-12)*1px)}", Je = /* @__PURE__ */ N('<span class="input" s:c-8124b65f-0></span>', 2), Ue = /* @__PURE__ */ N('<span class="output" s:c-8124b65f-0></span>', 2), Xe = /* @__PURE__ */ N("<section s:c-8124b65f-0><div s:c-8124b65f-0></div></section>", 4), Ye = (e) => {
  const t = O(), {
    selected: n
  } = p();
  return T(Ke + "-1", Ze), t(() => ({
    "--s-v-8124b65f-1": e.node.position.x.toString(),
    "--s-v-8124b65f-2": e.node.position.y.toString(),
    "--s-v-8124b65f-3": e.node.width.toString(),
    "--s-v-8124b65f-4": e.node.height.toString(),
    "--s-v-8124b65f-5": e.node.textColor || "black",
    "--s-v-8124b65f-6": e.node.bgColor || "white",
    "--s-v-8124b65f-7": (e.node.borderRadius || 4).toString(),
    "--s-v-8124b65f-8": e.node.borderColor || "#616161",
    "--s-v-8124b65f-9": e.node.inputPosition === "bottom" ? (e.node.height - 5).toString() : e.node.inputPosition === "top" ? "-3" : (e.node.height / 2 - 4).toString(),
    "--s-v-8124b65f-10": e.node.inputPosition === "right" ? (e.node.width - 5).toString() : e.node.inputPosition === "left" ? "-3" : (e.node.width / 2 - 4).toString(),
    "--s-v-8124b65f-11": e.node.outputPosition === "bottom" ? (e.node.height - 5).toString() : e.node.outputPosition === "top" ? "-3" : (e.node.height / 2 - 4).toString(),
    "--s-v-8124b65f-12": e.node.outputPosition === "right" ? (e.node.width - 5).toString() : e.node.outputPosition === "left" ? "-3" : (e.node.width / 2 - 4).toString()
  })), (() => {
    const i = Xe.cloneNode(!0), o = i.firstChild;
    return B(i, v(Q, {
      get when() {
        return e.node.inputHandle;
      },
      get children() {
        const s = Je.cloneNode(!0);
        return R((d) => E(s, t(), d)), s;
      }
    }), o), B(o, () => e.node.label), B(i, v(Q, {
      get when() {
        return e.node.outputHandle;
      },
      get children() {
        const s = Ue.cloneNode(!0);
        return R((d) => E(s, t(), d)), s;
      }
    }), null), R((s) => {
      const d = !!n().includes(e.node.id), r = e.node.id, u = t(), a = t();
      return d !== s._v$ && i.classList.toggle("selected", s._v$ = d), r !== s._v$2 && M(i, "data-id", s._v$2 = r), s._v$3 = E(i, u, s._v$3), s._v$4 = E(o, a, s._v$4), s;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0
    }), i;
  })();
}, et = "c-9234adcf-0", tt = "div[s\\:c-9234adcf-0]{position:absolute;padding:0.5rem 0.8rem;cursor:grab;line-height:1.25rem;white-space:pre-wrap;min-width:5rem;min-height:calc(var(--s-v-9234adcf-1)*1px);color:var(--s-v-9234adcf-2);background-color:var(--s-v-9234adcf-3);border-radius:25px 0 0 0;border:1px solid #616161;transform:translate(calc(var(--s-v-9234adcf-4)*1px),calc(var(--s-v-9234adcf-5)*1px))}div[s\\:c-9234adcf-0]:hover{z-index:9}.selected . div{border:1px solid #446b9e}", nt = /* @__PURE__ */ N("<section s:c-9234adcf-0><div s:c-9234adcf-0></div></section>", 4), it = (e) => {
  const t = O(), {
    selected: n
  } = p();
  return T(et + "-1", tt), t(() => ({
    "--s-v-9234adcf-1": e.node.height.toString(),
    "--s-v-9234adcf-2": e.node.textColor || "black",
    "--s-v-9234adcf-3": e.node.bgColor || "#dede8c",
    "--s-v-9234adcf-4": e.node.position.x.toString(),
    "--s-v-9234adcf-5": e.node.position.y.toString()
  })), (() => {
    const i = nt.cloneNode(!0), o = i.firstChild;
    return B(o, () => e.node.label), R((s) => {
      const d = !!n().includes(e.node.id), r = e.node.id, u = t(), a = t();
      return d !== s._v$ && i.classList.toggle("selected", s._v$ = d), r !== s._v$2 && M(i, "data-id", s._v$2 = r), s._v$3 = E(i, u, s._v$3), s._v$4 = E(o, a, s._v$4), s;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0
    }), i;
  })();
}, ot = "c-cee801e3-0", st = "section[s\\:c-cee801e3-0]{position:absolute;min-width:5rem;width:calc(var(--s-v-cee801e3-1)*1px);min-height:5rem;height:calc(var(--s-v-cee801e3-2)*1px);color:var(--s-v-cee801e3-3);transform:translate(calc(var(--s-v-cee801e3-4)*1px),calc(var(--s-v-cee801e3-5)*1px));z-index:-1}h1[s\\:c-cee801e3-0]{cursor:grab;margin:0.2rem;text-align:center;user-select:none;background-color:rgb(255 255 255/0.5)}.selected[s\\:c-cee801e3-0]>h1[s\\:c-cee801e3-0]{background-color:rgb(235 177 52/0.5)}span[s\\:c-cee801e3-0]{position:absolute;bottom:0;right:0;display:inline-block;width:20px;height:20px;background:linear-gradient(135deg,transparent 0%,transparent 50%,rgb(255 255 255/0.5) 50%,rgb(255 255 255/0.5) 100%)}.selected[s\\:c-cee801e3-0]>span[s\\:c-cee801e3-0]{background:linear-gradient(135deg,transparent 0%,transparent 50%,rgb(235 177 52/0.5) 50%,rgb(235 177 52/0.5) 100%)}span[s\\:c-cee801e3-0]:hover{cursor:nwse-resize}", dt = /* @__PURE__ */ N('<section s:c-cee801e3-0><h1 s:c-cee801e3-0></h1><span data-action="drag" s:c-cee801e3-0></span></section>', 6), rt = (e) => {
  const t = O(), {
    store: n,
    selected: i,
    setSelected: o
  } = p();
  function s() {
    var u, a, l, S, _, x, w, h;
    const d = Object.keys(n.nodes), r = [];
    for (let b = 0; b < d.length; b++) {
      const y = d[b], $ = ((a = (u = n.nodes[y]) == null ? void 0 : u.position.x) != null ? a : 0) + ((S = (l = n.nodes[y]) == null ? void 0 : l.width) != null ? S : 0) / 2, P = ((x = (_ = n.nodes[y]) == null ? void 0 : _.position.y) != null ? x : 0) + ((h = (w = n.nodes[y]) == null ? void 0 : w.height) != null ? h : 0) / 2;
      $ > e.node.position.x && $ < e.node.position.x + e.node.width && P > e.node.position.y && P < e.node.position.y + e.node.height && r.push(y);
    }
    o(r);
  }
  return T(ot + "-1", st), t(() => ({
    "--s-v-cee801e3-1": e.node.width.toString(),
    "--s-v-cee801e3-2": e.node.height.toString(),
    "--s-v-cee801e3-3": e.node.textColor || "black",
    "--s-v-cee801e3-4": e.node.position.x.toString(),
    "--s-v-cee801e3-5": e.node.position.y.toString()
  })), (() => {
    const d = dt.cloneNode(!0), r = d.firstChild, u = r.nextSibling;
    return r.$$pointerdown = s, B(r, () => e.node.label), R((a) => {
      const l = !!i().includes(e.node.id), S = e.node.id, _ = t(), x = t(), w = t();
      return l !== a._v$ && d.classList.toggle("selected", a._v$ = l), S !== a._v$2 && M(d, "data-id", a._v$2 = S), a._v$3 = E(d, _, a._v$3), a._v$4 = E(r, x, a._v$4), a._v$5 = E(u, w, a._v$5), a;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0,
      _v$5: void 0
    }), d;
  })();
};
ye(["pointerdown"]);
const ct = "c-e175cecc-0", at = "div[s\\:c-e175cecc-0]{position:absolute;user-select:none;cursor:grab;overscroll-behavior:auto;width:11px;height:11px;background-color:var(--s-v-e175cecc-1);border-radius:50%;border:1px solid #616161;transform:translate(calc(var(--s-v-e175cecc-2)*1px),calc(var(--s-v-e175cecc-3)*1px))}div[s\\:c-e175cecc-0]:hover{z-index:9}.selected[s\\:c-e175cecc-0]>div[s\\:c-e175cecc-0]{border:2px solid #446b9e}", lt = /* @__PURE__ */ N("<section s:c-e175cecc-0><div s:c-e175cecc-0></div></section>", 4), ht = (e) => {
  const t = O(), {
    selected: n
  } = p();
  return T(ct + "-1", at), t(() => ({
    "--s-v-e175cecc-1": e.node.bgColor || "white",
    "--s-v-e175cecc-2": e.node.position.x.toString(),
    "--s-v-e175cecc-3": e.node.position.y.toString()
  })), (() => {
    const i = lt.cloneNode(!0), o = i.firstChild;
    return R((s) => {
      const d = !!n().includes(e.node.id), r = e.node.id, u = t(), a = t();
      return d !== s._v$ && i.classList.toggle("selected", s._v$ = d), r !== s._v$2 && M(i, "data-id", s._v$2 = r), s._v$3 = E(i, u, s._v$3), s._v$4 = E(o, a, s._v$4), s;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0
    }), i;
  })();
}, gt = (e) => v(ge, {
  get fallback() {
    return v(Ye, {
      get node() {
        return e.node;
      }
    });
  },
  get children() {
    return [v(A, {
      get when() {
        return e.node.type === "note";
      },
      get children() {
        return v(it, {
          get node() {
            return e.node;
          }
        });
      }
    }), v(A, {
      get when() {
        return e.node.type === "backdrop";
      },
      get children() {
        return v(rt, {
          get node() {
            return e.node;
          }
        });
      }
    }), v(A, {
      get when() {
        return e.node.type === "dot";
      },
      get children() {
        return v(ht, {
          get node() {
            return e.node;
          }
        });
      }
    })];
  }
}), ut = "c-937ca8e5-0", vt = ".animated[s\\:c-937ca8e5-0]{animation:dash 0.5s linear infinite;stroke-dasharray:10}", ft = /* @__PURE__ */ N('<svg><rect shape-rendering="optimizeSpeed" s:c-937ca8e5-0></rect></svg>', 4, !0);
function bt(e) {
  const t = O();
  return T(ut + "-1", vt), (() => {
    const n = ft.cloneNode(!0);
    return R((i) => {
      var l;
      const o = (l = e.color) != null ? l : "#adadad", s = e.x, d = e.y, r = Math.max(e.width, 80), u = Math.max(e.height, 80), a = t();
      return o !== i._v$ && M(n, "fill", i._v$ = o), s !== i._v$2 && M(n, "x", i._v$2 = s), d !== i._v$3 && M(n, "y", i._v$3 = d), r !== i._v$4 && M(n, "width", i._v$4 = r), u !== i._v$5 && M(n, "height", i._v$5 = u), i._v$6 = E(n, a, i._v$6), i;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0,
      _v$5: void 0,
      _v$6: void 0
    }), n;
  })();
}
const $t = "c-f715e2b0-0", mt = '*{box-sizing:border-box}h1,h2,h3,h4,p{margin:0;font-size:inherit}@keyframes dash{from{stroke-dashoffset:20}}.container[s\\:c-f715e2b0-0]{position:relative;display:grid;width:var(--s-v-f715e2b0-1);height:var(--s-v-f715e2b0-2);background-color:var(--s-v-f715e2b0-3);font-family:ui-sans-serif,system-ui,-apple-system,BlinkMacSystemFont,"Segoe UI, Roboto";user-select:none;overflow:hidden;touch-action:none}.nodes[s\\:c-f715e2b0-0]{position:absolute;width:var(--s-v-f715e2b0-4);height:var(--s-v-f715e2b0-5);background:transparent;transform-origin:50% 50%;transform:translate(calc(var(--s-v-f715e2b0-6)*1px),calc(var(--s-v-f715e2b0-7)*1px)) scale(var(--s-v-f715e2b0-8))}svg[s\\:c-f715e2b0-0]{width:var(--s-v-f715e2b0-9);height:var(--s-v-f715e2b0-10)}g[s\\:c-f715e2b0-0]{transform-origin:50% 50%;transform:translate(calc(var(--s-v-f715e2b0-11)*1px),calc(var(--s-v-f715e2b0-12)*1px)) scale(var(--s-v-f715e2b0-13))}', _t = /* @__PURE__ */ N('<div class="container" s:c-f715e2b0-0><svg s:c-f715e2b0-0><g s:c-f715e2b0-0></g></svg><div class="nodes" s:c-f715e2b0-0></div></div>', 8);
function xt() {
  const e = O();
  let t;
  const {
    store: n,
    updatePosition: i,
    drag: o,
    isDragging: s,
    setDragging: d,
    selected: r,
    setSelected: u,
    width: a,
    height: l,
    canvasbg: S,
    transition: _,
    setTransition: x,
    scale: w,
    setScale: h
  } = p(), b = (c) => {
    if (c.target instanceof HTMLElement || c.target instanceof SVGElement) {
      const k = c.target.parentElement.dataset.id, L = c.target.dataset.action;
      u(k ? [k] : []), d(L === "drag");
    } else
      return;
  }, y = (c) => {
    Re(() => {
      if (c.buttons !== 0) {
        if (c.pointerType === "mouse")
          if (s()) {
            o(c.movementX, c.movementY, r()[0]);
            return;
          } else {
            if (r().length > 0) {
              i(c.movementX, c.movementY, r());
              return;
            }
            if (r().length === 0 && c.altKey) {
              x((C) => [C[0] + c.movementX, C[1] + c.movementY]);
              return;
            }
          }
        if (c.pointerType === "touch")
          if (s()) {
            o(c.movementX, c.movementY, r()[0]);
            return;
          } else {
            if (r().length > 0) {
              i(c.movementX, c.movementY, r());
              return;
            }
            if (r().length === 0 && c.altKey) {
              x((C) => [C[0] + c.movementX, C[1] + c.movementY]);
              return;
            }
          }
      }
    });
  }, $ = (c) => {
    h((C) => Math.max(Math.min(C - c.deltaY / 600, 4), 0.25));
  }, P = (c) => {
    c.scale < 1 ? h(Math.max(c.scale, 0.25)) : c.scale > 1 && h(Math.min(c.scale, 4));
  };
  return V(() => {
    t.addEventListener("pointerdown", b), t.addEventListener("pointermove", y), t.addEventListener("wheel", $), t.addEventListener("gestureend", P);
  }), z(() => {
    t.removeEventListener("pointerdown", b), t.removeEventListener("pointermove", y), t.removeEventListener("wheel", $), t.addEventListener("gestureend", P);
  }), T($t + "-1", mt), e(() => ({
    "--s-v-f715e2b0-1": a(),
    "--s-v-f715e2b0-2": l(),
    "--s-v-f715e2b0-3": S(),
    "--s-v-f715e2b0-4": a(),
    "--s-v-f715e2b0-5": l(),
    "--s-v-f715e2b0-6": _()[0].toString(),
    "--s-v-f715e2b0-7": _()[1].toString(),
    "--s-v-f715e2b0-8": w().toString(),
    "--s-v-f715e2b0-9": a(),
    "--s-v-f715e2b0-10": l(),
    "--s-v-f715e2b0-11": _()[0].toString(),
    "--s-v-f715e2b0-12": _()[1].toString(),
    "--s-v-f715e2b0-13": w().toString()
  })), (() => {
    const c = _t.cloneNode(!0), C = c.firstChild, k = C.firstChild, L = C.nextSibling, m = t;
    return typeof m == "function" ? ce(m, c) : t = c, B(k, v(G, {
      get each() {
        return Object.values(n.nodes);
      },
      children: (g) => g.type === "backdrop" ? v(bt, {
        get x() {
          return g.position.x;
        },
        get y() {
          return g.position.y;
        },
        get width() {
          return g.width;
        },
        get height() {
          return g.height;
        },
        get color() {
          return g.bgColor;
        }
      }) : null
    }), null), B(k, v(G, {
      get each() {
        return n.edges;
      },
      children: (g) => v(We, {
        edge: g
      })
    }), null), B(L, v(G, {
      get each() {
        return Object.values(n.nodes);
      },
      children: (g) => g ? v(gt, {
        node: g
      }) : null
    })), R((g) => {
      const j = e(), me = e(), _e = e(), xe = e();
      return g._v$ = E(c, j, g._v$), g._v$2 = E(C, me, g._v$2), g._v$3 = E(k, _e, g._v$3), g._v$4 = E(L, xe, g._v$4), g;
    }, {
      _v$: void 0,
      _v$2: void 0,
      _v$3: void 0,
      _v$4: void 0
    }), c;
  })();
}
const Pt = (e) => v(Me, {
  get children() {
    return v(pe, {
      get nodes() {
        return e.nodes;
      },
      get edges() {
        return e.edges;
      },
      get width() {
        return e.width;
      },
      get height() {
        return e.height;
      },
      get background() {
        return e.background;
      },
      get children() {
        return [v(xt, {}), Se(() => e.children)];
      }
    });
  }
}), Et = (e) => {
  const {
    setStore: t
  } = p(), n = e.data.type || "default", i = {
    width: n === "dot" ? 11 : n === "backdrop" ? 220 : 160,
    height: n === "dot" ? 11 : n === "note" ? 80 : n === "backdrop" ? 110 : 40,
    label: "",
    type: "default",
    inputPosition: f.Top,
    outputPosition: f.Bottom,
    inputHandle: !0,
    outputHandle: !0,
    ...e.data,
    get input() {
      let o, s;
      switch (this.inputPosition) {
        case f.Bottom: {
          o = this.position.x + this.width / 2, s = this.position.y + this.height;
          break;
        }
        case f.Right: {
          o = this.position.x + this.width, s = this.position.y + this.height / 2;
          break;
        }
        case f.Left: {
          o = this.position.x, s = this.position.y + this.height / 2;
          break;
        }
        default:
          o = this.position.x + this.width / 2, s = this.position.y;
      }
      return this.inputHandle || (o = this.position.x + this.width / 2, s = this.position.y + this.height / 2), {
        x: o,
        y: s
      };
    },
    get output() {
      let o, s;
      switch (this.outputPosition) {
        case f.Top: {
          o = this.position.x + this.width / 2, s = this.position.y;
          break;
        }
        case f.Right: {
          o = this.position.x + this.width, s = this.position.y + this.height / 2;
          break;
        }
        case f.Left: {
          o = this.position.x, s = this.position.y + this.height / 2;
          break;
        }
        default:
          o = this.position.x + this.width / 2, s = this.position.y + this.height;
      }
      return this.outputHandle || (o = this.position.x + this.width / 2, s = this.position.y + this.height / 2), {
        x: o,
        y: s
      };
    }
  };
  return V(() => {
    t(q((o) => {
      o.nodes[e.data.id] = i;
    }));
  }), z(() => {
    t(q((o) => {
      delete o.nodes[e.data.id];
    }));
  }), null;
}, kt = (e) => {
  const {
    setStore: t
  } = p();
  return V(() => {
    t("edges", (n) => [...n, {
      ...e.data
    }]);
  }), z(() => {
    t("edges", (n) => n.filter((i) => i.id !== e.data.id));
  }), null;
};
export {
  kt as Edge,
  Et as Node,
  f as Position,
  Pt as default,
  p as useStore
};
